summaryrefslogtreecommitdiffstats
path: root/tests/test9.tst
diff options
context:
space:
mode:
authorClark Williams <williams@redhat.com>2010-07-16 07:57:57 -0500
committerClark Williams <williams@redhat.com>2010-07-27 13:59:07 -0500
commit2149d0815501d3721ccfdb8203e54a7bcb59ff32 (patch)
tree9a826c9796826dbac7b3ecdf16814e08da1a027b /tests/test9.tst
parented9826cee13b35c1c9df2a8018459394064767ff (diff)
downloadmock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.tar.gz
mock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.tar.xz
mock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.zip
moved test suite to 'tests' directory
Moved test infrastructure into the tests directory and broke component tests out into individual scripts. Signed-off-by: Clark Williams <williams@redhat.com>
Diffstat (limited to 'tests/test9.tst')
-rw-r--r--tests/test9.tst16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/test9.tst b/tests/test9.tst
new file mode 100644
index 0000000..1a5ed6e
--- /dev/null
+++ b/tests/test9.tst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# test old-style cmdline options
+#
+header "test old-style cmdline options"
+runcmd "$MOCKCMD --offline clean"
+runcmd "$MOCKCMD --offline init"
+runcmd "$MOCKCMD --offline install ccache"
+if [ ! -e $CHROOT/usr/bin/ccache ]; then
+ echo "init/clean test FAILED. ccache not found."
+ exit 1
+fi
+